PICO2WAVE(1)

NAME
pico2wave - Small Footprint TTS

SYNOPSIS
pico2wave -w <filename.wav> [ -l <language> ] [ <words> ]

DESCRIPTION
pico2wave is a small footprint Text to Speech utility, using the SVOX Pico engine [*]. It converts text given on the command line (or standard input, if no <words> on command line) to audible speech, and writes to a RIFF .wav file.

The generated wav files are PCM, 16-bit mono, 16KHz sampling rate.

[*] The SVOX Pico engine is a software speech synthesizer for German, English (GB and US), Spanish, French and Italian. SVOX produces a clear and distinct speech output made possible by the use of Hidden Markov Model (HMM) algorithms.

OPTIONS

-w, --wave=filename.wav
    Write output to this WAV file (extension SHOULD be .wav). This option is required: pico2wave cannot write to standard output (not even if you use -w /dev/stdout, sorry). If the file already exists, it will be overwritten with no confirmation or warning.

-l, --lang=lang
    Language (default: en-US). The languages supported are currently de-DE, en-GB, en-US, es-ES, fr-FR, it-IT.

  Help options:

-?, --help
    Show help message

--usage
    Display brief usage message

EXAMPLES

pico2wav -w test.wav 'Hello, world.'

Creates a file test.wav containing the words "Hello, world."

echo 'Hello, world.' | pico2wav -w test.wav

Same as above, reading from standard input.

pico2wav -w test.wav < gettysburg_address.txt

Convert an entire text file to speech.